<template>
  <div class="home">
    <div id="div3d"></div>
  </div>
</template>

<script>
export default {
  name: 'HomeView',
  components: {},
  mounted() {
    const app = new THING.App()

    app
      .loadBundle('/scene', {
        ignoreTheme: true,
      })
      .waitForComplete()
      .then((res) => {
        const campus = res.bundle.campuses[0]
        app.levelManager.change(campus)
      })
  },
}
</script>

<style>
#div3d {
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
}
</style>
